Subject: [TR] TR3 oil pumps

From: Q <[email-masked]>
Date: Sun, 13 Jan 2019 19:25:21 -0800

As I recall the problem was that the replacement pumps rotor was only 
pressed onto the shaft.  The original pumps are pressed and have a dowel 
pin pressed through.

Under use at high RPM's the rotor would move on the shaft eventually 
wearing the fit enough that the rotor would slip at all speeds and not 
move oil under pressure through the system.

You should be able to see the pin under magnification, it is ground 
flush with the surface of the rotor as I recall.

Edward Hamer
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive